Jump to content

help in editing FakeDims.LSP


Afandy

Recommended Posts

20 hours ago, Afandy said:

http://www.cadtutor.net/forum/showthread.php?83532-How-to-filter-Edited-Dimensions

hi guys

this list finding Fake Dimension (override)

then change text color of them to Red

 

could any one help me to add changing Fill Color of text to Yellow or Active (Draw Frame Around Text) ?

 

great thanks for you 

 

 

 

(defun C:test(/ i ss)
 (vl-load-com)
 (setvar "cmdecho" 0)
 (if (setq ss (ssget "X" '((0 . "DIMENSION") (-3 ("ACAD")))))
   (repeat (setq i (sslength ss))
     (entmod (list (cons -1 (ssname ss (setq i (1- i)))) (list -3 (list "ACAD"))))
   )
   (if (setq ss (ssget "X" '((0 . "DIMENSION") (-4 . "<AND")(-4 . "<NOT")(1 . "")(-4 . "NOT>")(-4 . "<NOT")(1 . "*<>*")(-4 . "NOT>")(-4 . "AND>"))))
     (repeat (setq i (sslength ss))
       
         (PROGN
       (setq iOG(vlax-ename->vla-object (ssname ss (setq i (1- i)))))
         (vlax-put-property iOG "textcolor" 1)
         (vlax-put-property iOG 'TextFill :vlax-true)
         (vlax-put-property iOG 'TextFillColor 2)
       ) 
     )
     (alert "Not find Edited Dimensions!")
   )
 )
 (princ)
)

 

1.PNG

  • Like 1
Link to comment
Share on other sites

16 hours ago, hosneyalaa said:

 

 

 


(defun C:test(/ i ss)
 (vl-load-com)
 (setvar "cmdecho" 0)
 (if (setq ss (ssget "X" '((0 . "DIMENSION") (-3 ("ACAD")))))
   (repeat (setq i (sslength ss))
     (entmod (list (cons -1 (ssname ss (setq i (1- i)))) (list -3 (list "ACAD"))))
   )
   (if (setq ss (ssget "X" '((0 . "DIMENSION") (-4 . "<AND")(-4 . "<NOT")(1 . "")(-4 . "NOT>")(-4 . "<NOT")(1 . "*<>*")(-4 . "NOT>")(-4 . "AND>"))))
     (repeat (setq i (sslength ss))
       
         (PROGN
       (setq iOG(vlax-ename->vla-object (ssname ss (setq i (1- i)))))
         (vlax-put-property iOG "textcolor" 1)
         (vlax-put-property iOG 'TextFill :vlax-true)
         (vlax-put-property iOG 'TextFillColor 2)
       ) 
     )
     (alert "Not find Edited Dimensions!")
   )
 )
 (princ)
)

 

1.PNG

 

Thank you sir

  • Thanks 1
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...